"use strict";
const common_vendor = require("../../../../common/vendor.js");
const _sfc_main = {
  name: "u-index-anchor",
  mixins: [common_vendor.mpMixin, common_vendor.mixin, common_vendor.props$3],
  data() {
    return {};
  },
  mounted() {
    this.init();
  },
  methods: {
    init() {
      const indexList = common_vendor.index.$u.$parent.call(this, "u-index-list");
      if (!indexList) {
        return common_vendor.index.$u.error("u-index-anchor必须要搭配u-index-list组件使用");
      }
      indexList.anchors.push(this);
      const indexListItem = common_vendor.index.$u.$parent.call(this, "u-index-item");
      if (!indexListItem) {
        return common_vendor.index.$u.error("u-index-anchor必须要搭配u-index-item组件使用");
      }
      indexListItem.id = this.text.charCodeAt(0);
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.t(_ctx.text),
    b: _ctx.$u.addUnit(_ctx.size),
    c: _ctx.color,
    d: `u-index-anchor-${_ctx.text}`,
    e: _ctx.$u.addUnit(_ctx.height),
    f: _ctx.bgColor
  };
}
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-e7d138dd"], ["__file", "D:/project/赋强公证/notarization_applet/node_modules/uview-plus/components/u-index-anchor/u-index-anchor.vue"]]);
wx.createComponent(Component);
